
local C = require("classic")
local M = require("menu")

-- Menu item for spiders

M.add_menu_item("spacer")

M.add_menu_item { 
   id = "spiders",
   text = "Spiders",
   choice_min = 0,
   choice_max = 5,
   features = function(S)
   -- Add Spiders in the dungeon initially
      local num_spiders = 0
      if S.spiders > 0 then
         num_spiders = 2 * S.spiders + 1
      end
      C.add_initial_monsters(m_spider, num_spiders)

   -- The total number of spiders is limited
      C.add_monster_limit(m_spider, 3 * S.spiders)
   end
}

